jQuery(function($) {
    //Ajax test OC query from widget
    $(document).on('click', '.oc-exclusion-query-test', function (e) {

        //IE fix
        if (!e) {
            e = window.event;
        }
        e.preventDefault();

        var parent = $(this).parent().get(0);

        var query       = $(parent).find('.oc-query-search').val();
        var start       = $(parent).find('.oc-query-start').val();
        var limit       = $(parent).find('.oc-query-limit').val();
        var sort        = $(parent).find('.oc-query-sort').val();
        var property    = $(parent).find('.oc-exclusion-property-name').val();
        var that        = this;
        var result_div  = $(that).parent().find('.oc-query-result');

        result_div.empty();

        var loader = '<i class="fa fa-spinner fa-spin fa-2x fa-fw"></i>';
        result_div.addClass('oc-query-result--loaded');
        result_div.append(loader);
        result_div.show();

        $.post(
            oc_ajax.oc_ajax_url,
            {
                query               :query,
                oc_query_start      :start,
                oc_query_limit      :limit,
                oc_query_sort       :sort,
                oc_query_property   :property,
                action              :'exclusion_oc_query'
            },
            function (data) {
                var parsed_data = $.parseJSON(data);
                result_div.empty();

                var header = '<h4 class="oc-query-result__headline">' + translation.oc_query_result + '</h4>';
                result_div.append(header);

                for (var object in parsed_data) {
                    var paragraph = '<p class="oc-query-result__message">' + object + " : " + parsed_data[object] + '</p>';
                    result_div.append(paragraph);
                }
            }
        );

        return false;
    });
});